package capitulo04.bloque02;

import static capitulo04.utils.Utils.*;

public class Ejercicio03 {
    public static void main(String[] args) {
        int[] array1 = crearArrayNumsAleatorios(150, 0, 100);
        int numMulti = solicitarIntScanner("Indique por qué número quiere multiplicar el Array");


        System.out.print("Array Normal: ");
        mostrarArrayNums(array1);

        multiplicaValoresPorFactor(array1, numMulti);

        System.out.print("\nArray Multiplicado: ");
        mostrarArrayNums(array1);
    }
    public static void multiplicaValoresPorFactor (int a[], int factor) {
        for (int i = 0; i < a.length; i++) {
            a[i] *= factor;
        }
    }
}
